Bug 1266688 - [abrt] totem: gdk_window_set_transient_for(): totem killed by SIGSEGV
[abrt] totem: gdk_window_set_transient_for(): totem killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:06f73cb4c7529f9206d4245e43c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 10:48 EDT by Berend De Schouwer
Modified: 2016-12-20 09:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.63 KB, text/plain)
2015-09-26 10:48 EDT, Berend De Schouwer
no flags Details
File: cgroup (284 bytes, text/plain)
2015-09-26 10:48 EDT, Berend De Schouwer
no flags Details
File: core_backtrace (27.08 KB, text/plain)
2015-09-26 10:48 EDT, Berend De Schouwer
no flags Details
File: dso_list (20.46 KB, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: environ (925 bytes, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: maps (91.98 KB, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: mountinfo (3.52 KB, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: open_fds (1.85 KB, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details
File: var_log_messages (306 bytes, text/plain)
2015-09-26 10:49 EDT, Berend De Schouwer
no flags Details

  None (edit)
Description Berend De Schouwer 2015-09-26 10:48:47 EDT
Description of problem:
Play a video.

Quit, by clicking the close button top right.  Happens every time.

Version-Release number of selected component:
totem-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/totem --gapplication-service
crash_function: gdk_window_set_transient_for
executable:     /usr/bin/totem
global_pid:     31180
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_set_transient_for at gdkwindow.c:10117
 #1 popover_unrealize at gtkwindow.c:7257
 #2 _gtk_window_remove_popover at gtkwindow.c:11890
 #3 _gtk_popover_parent_hierarchy_changed at gtkpopover.c:1685
 #4 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #5 _g_closure_invoke_va at gclosure.c:864
 #8 gtk_widget_propagate_hierarchy_changed_recurse at gtkwidget.c:9800
 #9 gtk_box_forall at gtkbox.c:2586
 #10 gtk_widget_propagate_hierarchy_changed_recurse at gtkwidget.c:9804
 #12 gtk_toolbar_forall at gtktoolbar.c:2500
Comment 1 Berend De Schouwer 2015-09-26 10:48:53 EDT
Created attachment 1077456 [details]
File: backtrace
Comment 2 Berend De Schouwer 2015-09-26 10:48:54 EDT
Created attachment 1077457 [details]
File: cgroup
Comment 3 Berend De Schouwer 2015-09-26 10:48:57 EDT
Created attachment 1077458 [details]
File: core_backtrace
Comment 4 Berend De Schouwer 2015-09-26 10:49:00 EDT
Created attachment 1077459 [details]
File: dso_list
Comment 5 Berend De Schouwer 2015-09-26 10:49:02 EDT
Created attachment 1077460 [details]
File: environ
Comment 6 Berend De Schouwer 2015-09-26 10:49:04 EDT
Created attachment 1077461 [details]
File: exploitable
Comment 7 Berend De Schouwer 2015-09-26 10:49:06 EDT
Created attachment 1077462 [details]
File: limits
Comment 8 Berend De Schouwer 2015-09-26 10:49:09 EDT
Created attachment 1077463 [details]
File: maps
Comment 9 Berend De Schouwer 2015-09-26 10:49:11 EDT
Created attachment 1077464 [details]
File: mountinfo
Comment 10 Berend De Schouwer 2015-09-26 10:49:14 EDT
Created attachment 1077465 [details]
File: namespaces
Comment 11 Berend De Schouwer 2015-09-26 10:49:16 EDT
Created attachment 1077466 [details]
File: open_fds
Comment 12 Berend De Schouwer 2015-09-26 10:49:18 EDT
Created attachment 1077467 [details]
File: proc_pid_status
Comment 13 Berend De Schouwer 2015-09-26 10:49:20 EDT
Created attachment 1077468 [details]
File: var_log_messages
Comment 14 Matthias Clasen 2015-09-29 14:56:58 EDT
This is already fixed upstream in gtk3, will be in 3.18.1
Comment 15 Fedora End Of Life 2016-11-24 07:37:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 09:46:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.